
D4Science Infrastructure - Incident #1402

Computational output is not visualised on StatMan on services.d4science.org

Nov 17, 2015 11:23 AM - Gianpaolo Coro

Status: Closed Start date: Nov 18, 2015

Priority: Urgent Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 3.9.0

  

Infrastructure: Production   

Description

The computational outputs (images, files etc) are not visualised on the services.d4science.org portal. This error is not present on

i-marine.d4science.org

Subtasks:

Incident # 1418: User gianpaolo.coro not able to access storage service when using serv... Closed

History

#1 - Nov 17, 2015 11:34 AM - Massimiliano Assante

- Status changed from New to In Progress

#2 - Nov 17, 2015 12:34 PM - Massimiliano Assante

I can see the images, files etc on https://services.d4science.org/group/biodiversitylab/processing-tools, while I cannot on ENVRIPlus. This make me

thinking that the issue may not reside on the portal configuration.

#3 - Nov 17, 2015 03:44 PM - Massimiliano Assante

- Priority changed from Urgent to Normal

#4 - Nov 17, 2015 07:03 PM - Massimiliano Assante

- Status changed from In Progress to Feedback

I checked the problem with @valentina.marioli@isti.cnr.it as in the end it was home library related for only Gianpaolo. @gianpaolo.coro@isti.cnr.it

please provide feedback we think it is solved.

#5 - Nov 18, 2015 02:39 PM - Gianpaolo Coro

The issue is still present. Consider that I cannot see the VRE folders of the other VREs on services.d4science.org, e.g. on BioDiversityLab

#6 - Nov 18, 2015 02:58 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Valentina Marioli

I checked the issue and this is the exception raised for Biodiversity Lab. The problem however is weird, because you can visualize correctly on the

iMarine Biodiversity Lab.

I checked the libraries version in both portals and they are the same. not sure what is going on. Please @valentina.marioli@isti.cnr.it  can you

investigate?

2015-11-18 13:48:26,743 INFO  workspace.JCRWorkspaceItem [TP-Processor16,getPublicLink:992] %[PORTAL] 677574608 [TP-Processor16]

INFO  org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem  - get PublicLink for item: Sarda sarda (scientific name) occurrences from

OBIS - CSV STANDARD.csv

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: Sorry, Public Link for selected file is unavailable

at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem.getPublicLink(JCRWorkspaceItem.java:1002)

at org.gcube.portlets.user.lastupdatedfiles.server.FileServiceImpl.getLastUpdateFiles(FileServiceImpl.java:125)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:606)

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:208)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:248)
at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

#7 - Nov 18, 2015 03:18 PM - Valentina Marioli

- Status changed from Feedback to In Progress

#8 - Nov 18, 2015 04:56 PM - Massimiliano Assante

- Assignee changed from Valentina Marioli to Massimiliano Assante

we investigated the issue together with @valentina.marioli@isti.cnr.it and @francesco.mangiacrapa@isti.cnr.it 

We found out that this issue is due to the fact that the user gianpaolo.coro cannot access the storage payloads and in general cannot use the storage

from within the services.d4science.org gateway.

We checked on the other gateways (iMarine, descramble and EGIP) and it works.

#9 - Dec 03, 2015 12:13 PM - Massimiliano Assante

- Status changed from In Progress to Closed
